Bug 431518 (CVE-2008-0553) - CVE-2008-0553 tk: GIF handling buffer overflow
Summary: CVE-2008-0553 tk: GIF handling buffer overflow
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2008-0553
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=redhat,reported=20080124,publi...
Depends On: 431529 431531 431532 432510 432511 432512 432513 432514 432515 444872 444950 444951 833985
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-05 08:48 UTC by Tomas Hoger
Modified: 2019-06-08 12:27 UTC (History)
5 users (show)

Fixed In Version: 1.3-0.8.20080505svn.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-10 13:58:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0134 normal SHIPPED_LIVE Moderate: tcltk security update 2008-02-21 21:05:11 UTC
Red Hat Product Errata RHSA-2008:0135 normal SHIPPED_LIVE Moderate: tk security update 2008-02-22 16:48:30 UTC
Red Hat Product Errata RHSA-2008:0136 normal SHIPPED_LIVE Moderate: tk security update 2008-02-21 21:22:28 UTC

Description Tomas Hoger 2008-02-05 08:48:15 UTC
tk GIF handling code is based on the same code as used by gd and SDL_image and
is affected by the overflow known as CVE-2006-4484 and CVE-2007-6697.

ReadImage function in tkImgGIF.c does not properly check the value of
initialCodeSize value read from GIF image before using it as upper bound during
the initialization of append array.  This can result in stack buffer overflow.

Upstream fix:
http://tktoolkit.cvs.sourceforge.net/tktoolkit/tk/generic/tkImgGIF.c?r1=1.40&r2=1.41

This is expected to be included in upstream tk version 8.5.1.

Related issues:
CVE-2006-4484 (gd), CVE-2007-6697 (SDL_image), CVE-2008-0554 (netpbm)

Comment 2 Tomas Hoger 2008-02-05 08:55:40 UTC
perl-Tk uses embedded copy of tk source code and is affected by this problem
too.  Adding perl-Tk maintainers to the CC list too.

Comment 3 Marcela Mašláňová 2008-02-05 08:58:26 UTC
Tk is fixed in rawhide, F-8, F-7. The upstream fix was used.

Comment 6 Fedora Update System 2008-02-05 11:34:02 UTC
perl-Tk-804.028-3.fc7 has been submitted as an update for Fedora 7

Comment 7 Fedora Update System 2008-02-05 11:39:13 UTC
perl-Tk-804.028-3.fc8 has been submitted as an update for Fedora 8

Comment 8 Tomas Hoger 2008-02-06 13:01:13 UTC
Upstream released tk 8.5.1 including the fix:

http://sourceforge.net/project/shownotes.php?release_id=573933


Comment 9 Fedora Update System 2008-02-07 20:54:48 UTC
perl-Tk-804.028-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-02-07 20:55:42 UTC
tk-8.4.13-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-02-07 20:59:15 UTC
tk-8.4.17-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-02-07 20:59:55 UTC
perl-Tk-804.028-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2008-05-06 08:24:40 UTC
tkimg-1.3-0.8.20080505svn.fc7 has been submitted as an update for Fedora 7

Comment 20 Fedora Update System 2008-05-06 08:28:16 UTC
tkimg-1.3-0.8.20080505svn.fc8 has been submitted as an update for Fedora 8

Comment 21 Fedora Update System 2008-05-10 13:58:45 UTC
tkimg-1.3-0.8.20080505svn.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2008-05-13 15:27:14 UTC
tkimg-1.3-0.10.20080505svn.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.